## org.ascape.model.space
Class SubContinuous2D

    java.lang.Object
      org.ascape.model.space.CollectionSpace
          org.ascape.model.space.SubCollection
              org.ascape.model.space.SubContinuous
                  org.ascape.model.space.SubContinuous2D

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Iterable, java.util.Collection, Continuous, Mutable, Space, SubSpace, RandomFunctions

    public class SubContinuous2D

extends SubContinuous

A space containing a population of agents that exist within some continuous space.

Since:
  2.0
Version:
  3.0
Author:
  Miles Parker
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.ascape.model.space.CollectionSpace
`CollectionSpace.ClosestDataPoint, CollectionSpace.ConditionalIterator, CollectionSpace.CSIterator, CollectionSpace.CSMutableIterator, CollectionSpace.ListMutableRandomIterator, CollectionSpace.ListRandomIterator, CollectionSpace.MutableSubIterator, CollectionSpace.SubIterator`

Field Summary

Fields inherited from class org.ascape.model.space.CollectionSpace
`collection, ESTIMATED_MAXIMUM_SIZE, extent, geometry`

Constructor Summary
`SubContinuous2D()` Constructs a sub-continuous space.
`SubContinuous2D(CoordinateDiscrete extent)` Constructs a sub-continuous space.

Method Summary
`void` `populate()` Populates the space and its super collection with clones of the prototype agent.
`void` `setSuperSpace(Space superSpace)` Sets the super space for this sub collection, that is, the collection defined to contain a superset of this space's agents.

Methods inherited from class org.ascape.model.space.SubContinuous
`coordinateSweep, distancePerIteration, findRandomCoordinate, getExtent, getSize, normalize, setSize`

Methods inherited from class org.ascape.model.space.SubCollection
`add, addAll, calculateDistance, clear, getSuperSpace, moveAway, moveToward, remove, removeAll, retainAll`

Methods inherited from class org.ascape.model.space.CollectionSpace

`add, calculateDistance, clone, conditionalIterator, conditionalIterator, construct, contains, containsAll, countWithin, createOrder, createSpatialConditional, deleteSweep, filter, find, findMaximum, findMaximum, findMaximumWithin, findMinimum, findMinimum, findMinimumWithin, findNearest, findNearest, findRandom, findRandom, findRandom, findRandom, findRandomWithin, findWithin, get, getContext, getGeometry, getRandom, hasWithin, initialize, isDeleteSweepNeeded, isEmpty, isMutable, isPeriodic, iterator, iteratorCount, iteratorToList, newLocation, newLocation, randomInRange, randomInRange, randomIs, randomizeOrder, randomToLimit, safeIterator, safeIterator, safeIterators, safeRandomIterator, set, setContext, setExtent, setExtent, setGeometry, setPeriodic, setRandom, size, toArray, toArray, toList, withinIterator`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.ascape.model.space.SubSpace
`getSuperSpace`

Methods inherited from interface org.ascape.model.space.Continuous
`moveToward`

Methods inherited from interface org.ascape.model.space.Mutable
`clear, deleteSweep, isDeleteSweepNeeded, newLocation, newLocation, remove`

Methods inherited from interface java.util.Collection
`equals, hashCode`

Constructor Detail

### SubContinuous2D

    public SubContinuous2D()

  Constructs a sub-continuous space.

### SubContinuous2D

    public SubContinuous2D(CoordinateDiscrete extent)

  Constructs a sub-continuous space.

  Parameters:
    `extent` - a coordinate describing the size of this space

Method Detail

### populate

    public void populate()

  Description copied from class: `SubCollection`
  Populates the space and its super collection with clones of the prototype agent. First removes any currently existing members from the super collection to prevent orphans. Prototype agent should be set before calling this method. (By default, the prototpye agent is a Node.)

  Specified by:
    `populate` in interface `Space`
  Overrides:
    `populate` in class `SubCollection`

### setSuperSpace

    public void setSuperSpace(Space superSpace)

  Sets the super space for this sub collection, that is, the collection defined to contain a superset of this space's agents. Checks to ensure that the super space is the appropriate type.

  Specified by:
    `setSuperSpace` in interface `SubSpace`
  Overrides:
    `setSuperSpace` in class `SubContinuous`
  Parameters:
    `superSpace` - the collection to assign as super set